#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hackage-security
version:              0.6.0.1
visibility:           public
id:                   hackage-security-0.6.0.1-61QZLo8Q1QP3hoWI2LAmIh
key:                  hackage-security-0.6.0.1-61QZLo8Q1QP3hoWI2LAmIh
license:              BSD-3-Clause
copyright:            Copyright 2015-2016 Well-Typed LLP
maintainer:           cabal-devel@haskell.org
author:               Edsko de Vries
homepage:             https://github.com/haskell/hackage-security
synopsis:             Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).

    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.

    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).

category:             Distribution
abi:                  7ffe76c36884d4192d1a537ff6e7d4a7
exposed:              True
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical

hidden-modules:
    Hackage.Security.Key Hackage.Security.Trusted.TCB
    Hackage.Security.TUF Hackage.Security.TUF.Common
    Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
    Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
    Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
    Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
    Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
    Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
    Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
    Hackage.Security.Util.Exit Hackage.Security.Util.IO
    Hackage.Security.Util.JSON Hackage.Security.Util.Lens
    Hackage.Security.Util.Stack Hackage.Security.Util.TypedEmbedded
    Prelude

import-dirs:          /usr/lib/ghc-8.10.3/site-local/hackage-security-0.6.0.1
library-dirs:         /usr/lib/ghc-8.10.3/site-local/hackage-security-0.6.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.3/hackage-security-0.6.0.1
hs-libraries:         HShackage-security-0.6.0.1-61QZLo8Q1QP3hoWI2LAmIh
depends:
    Cabal-3.2.1.0 base-4.14.1.0
    base16-bytestring-1.0.1.0-2VsMHT8C0W3JR6tY5rp87N
    base64-bytestring-1.2.0.1-gzo5snLb2A1r7rY3iNUi bytestring-0.10.12.0
    containers-0.6.2.1
    cryptohash-sha256-0.11.102.0-AkudOC72FEZ9iu7P6wvEgY
    directory-1.3.6.0 ed25519-0.0.5.0-5xyCiabqRuSFKfnKxvhH5u
    filepath-1.4.2.1 ghc-prim-0.6.1 lukko-0.1.1.2-ARbRJ2iK3HzOs6UU1P2DH
    mtl-2.2.2 network-3.1.2.1-IKBKB32QfOpBaCdBzK7XSA
    network-uri-2.6.3.0-1XcaYMZ3xqIKvsiL6N8MU3 parsec-3.1.14.0
    pretty-1.1.3.6 tar-0.5.1.1-75159dskHe2Hj9plw0rCN0
    template-haskell-2.16.0.0 time-1.9.3 transformers-0.5.6.2
    zlib-0.6.2.2-KXEELA86DXm4dzFxfFE1wE

haddock-interfaces:
    /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock

haddock-html:         /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

